> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crycketpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Returns recent webhook delivery attempts for your account, including status and retry count.



## OpenAPI

````yaml GET /webhooks
openapi: 3.1.0
info:
  title: Crycket API
  description: >-
    Payment infrastructure API enabling peer-to-peer and merchant-to-consumer
    stablecoin payments on Solana, Base, and Tempo.
  version: 1.0.0
servers:
  - url: https://api.crycketpay.com/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      summary: List webhook deliveries
      description: >-
        Returns recent webhook delivery attempts for your account, including
        status and retry count.
      operationId: listWebhooks
      parameters:
        - name: limit
          in: query
          description: Maximum number of results to return
          schema:
            type: integer
            default: 20
            maximum: 100
      responses:
        '200':
          description: List of webhook deliveries
          content:
            application/json:
              schema:
                type: object
                properties:
                  deliveries:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookDelivery'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    WebhookDelivery:
      type: object
      properties:
        id:
          type: string
        eventId:
          type: string
        url:
          type: string
        responseStatus:
          type:
            - integer
            - 'null'
        attemptCount:
          type: integer
        lastAttemptedAt:
          type:
            - string
            - 'null'
          format: date-time
        deliveredAt:
          type:
            - string
            - 'null'
          format: date-time
        failedAt:
          type:
            - string
            - 'null'
          format: date-time
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: >-
                Machine-readable error code in `resource.error_type` dot
                notation
              example: intent.already_fulfilled
            message:
              type: string
              description: Human-readable error message
            param:
              type:
                - string
                - 'null'
              description: Field name if this is a validation error
            details:
              type:
                - object
                - 'null'
              description: Additional context about the error
  responses:
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key. Use `pk_live_*` for production or `pk_test_*` for test mode.

````